# The MEME Suite

## Motif-based sequence analysis tools

## mhmme (unsupported)

### Usage:

`mhmme [options] <HMM filename>`

### Description

Given a MEME Suite hidden Markov model (HMM), mhmme randomly generates sequence from the model and prints them in FASTA format.

### Input

#### HMM Filename

An HMM in MEME Suite format must be provided. If the filename is given as '-', then mhmme will attempt to read the HMM from standard input.

### Output

The program prints to standard output one or more sequences in FASTA format.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
--numseq | count | The number of sequences to emit. | One sequence is generated.
--occurs |  | Rather than printing the raw sequence, print a pseudo-sequence in which non-motif regions are represented as hyphens and motifs are represented like this: *____7___*, where 7 is the motif index. | The output is normal FASTA format.
--seed | seed | Set the seed for the random number generator. | The seed is set from the clock.